""" Use this file to develop and test your Assignment 3 functions S0, 2020."""

def main():
    print_header(2, "get_funny_average()")
    test_get_funny_average()
    
#--------------------------------------------------
# 22222222222222222222222222222222222222222222222222
# Returns the average of a list of numbers (excluding
# all zeroes, all negative numbers and excluding the
# minimum and maximum positive numbers)
#--------------------------------------------------
"""
Define the get_funny_average() function which is passed a list of numbers as a parameter and returns the average of some of the numbers in the parameter list. The function returns the average of the remaining numbers (rounded to 1 decimal place) after all the following have been excluded from the parameter list of numbers (if they exist in the list):

all zeroes, 
all negative numbers, 
the two smallest positive numbers
For example, the following code:

print("1.  [ 3, 2, 0, 25, 1]:                ", get_funny_average([ 3, 2, 0, 25, 1]))
print("2.  [-6, -32, 2, 0, -51, 1, 0, 0]:    ", get_funny_average([-6, -32, 2, 0, -51, 1, 0, 0]))
print("3.  [56, 32, 2, 22, 22]:              ", get_funny_average([56, 32, 2, 22, 22]))
print("4.  [-56, -3, 0, -21, 0, 6, 5]:       ", get_funny_average([-56, -3, 0, -21, 0, 6, 5]))
print("5.  [56, 3, 2, 0, 251, 1, 41, 22]:    ", get_funny_average([56, 3, 2, 0, 251, 1, 41, 22]))
print("6.  [-56, -3, 2, 0, -251, 1, -41, 0]: ", get_funny_average([-56, -3, 2, 0, -251, 1, -41, 0]))
print("7.  []:                               ", get_funny_average([]))
prints:

1.  [ 3, 2, 0, 25, 1]:                 14.0

2.  [-6, -32, 2, 0, -51, 1, 0, 0]:     0.0

3.  [56, 32, 2, 22, 22]:               36.7

4.  [-56, -3, 0, -21, 0, 6, 5]:        0.0

5.  [56, 3, 2, 0, 251, 1, 41, 22]:     74.6

6.  [-56, -3, 2, 0, -251, 1, -41, 0]:  0.0

7.  []:                                0.0
"""
def get_funny_average(numbers):
    return 0

def test_get_funny_average():
    print("1.  [ 3, 2, 0, 25, 1]:                ", 
                    get_funny_average([ 3, 2, 0, 25, 1]))
    print("2.  [-6, -32, 2, 0, -51, 1, 0, 0]:    ", 
                    get_funny_average([-6, -32, 2, 0, -51, 1, 0, 0]))
    print("3.  [56, 32, 2, 22, 22]:              ", 
                    get_funny_average([56, 32, 2, 22, 22]))
    print("4.  [-56, -3, 0, -21, 0, 6, 5]:       ", 
                    get_funny_average([-56, -3, 0, -21, 0, 6, 5]))
    print("5.  [56, 3, 2, 0, 251, 1, 41, 22]:    ", 
                    get_funny_average([56, 3, 2, 0, 251, 1, 41, 22]))
    print("6.  [-56, -3, 2, 0, -251, 1, -41, 0]: ", 
                    get_funny_average([-56, -3, 2, 0, -251, 1, -41, 0]))
    print("7.  []:                               ", 
                    get_funny_average([]))
    print() 
#--------------------------------------------------
# Print header lines
#--------------------------------------------------
def print_header(number, text):
    text = str(number) + ". " + text
    print("-" * 30)
    print(str(number) * 30)
    print(text)
    print("-" * 30)

main()
